## spdlog 0.11.0

=== debian/changelog ===
spdlog (1:0.11.0-3) unstable; urgency=medium

  * Allow stderr, fixes autopkgtests; fix courtesy Graham Inggs
    <ginggs@debian.org>. (Closes: #854469)
  * Update standards-version to 4.1.1; no changes needed.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 Oct 2017 10:30:35 -0700

spdlog (1:0.11.0-2) unstable; urgency=medium

  * Correct URL to upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 09 Oct 2016 05:26:25 -0700

spdlog (1:0.11.0-1) unstable; urgency=medium

  * Switch to correct upstream, increment epoch due to different version
    numbering. Mea culpa!

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 09 Oct 2016 01:30:45 -0700

spdlog (1.12-1) unstable; urgency=medium

  * new upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 18 Sep 2016 05:52:07 -0700

spdlog (1.11-1) unstable; urgency=medium

  * new upstream release
  * debian/copyright: updated to track latest code movement

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 26 Aug 2016 09:23:31 -0700

spdlog (1.8-1) unstable; urgency=medium

  * new upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 17 May 2016 02:52:07 -0700

spdlog (1.7-1) unstable; urgency=medium

  * new upstream release
  * Standards-Version: increment to 3.9.8
  * Match upstream's switch to cmake

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 May 2016 11:06:05 -0700

spdlog (1.6-2) unstable; urgency=medium

  * Fix VCS-Git URL.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 28 Feb 2016 17:10:41 -0800

spdlog (1.6-1) unstable; urgency=medium

  * Update to version 1.6
  * Ship examples, tests. Run the tests during build time and added
    autopkgtest hook.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 30 Jan 2016 05:33:59 -0800

spdlog (1.4-1) unstable; urgency=low

  * Initial release (Closes: #800337)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 18 Sep 2015 20:31:46 -0700
