## spdlog 0.14.0

=== debian/changelog ===
spdlog (1:0.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #882606
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sat, 02 Dec 2017 08:06:47 +0100
