## spdlog 0.16.3

=== debian/changelog ===
spdlog (1:0.16.3-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 17 Feb 2018 09:02:28 -0800
