=== debian/watch ===
version=3
https://github.com/gabime/spdlog/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
