=== tests/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CXX	?= g++
 ifeq ($(STYLE),printf)
     $(info *** PRINTF STYLE ***)
-    CXXFLAGS	=  -DSPDLOG_FMT_PRINTF -Wall  -pedantic -std=c++11 -pthread -O2 -I../include
+    CXXFLAGS	=  -DSPDLOG_FMT_PRINTF -Wall  -pedantic -std=c++11 -pthread -O3 -I../include
 else
     $(info *** FORMAT STYLE ***)
-    CXXFLAGS	=  -Wall  -pedantic -std=c++11 -pthread -O2 -I../include
+    CXXFLAGS	=  -Wall  -pedantic -std=c++11 -pthread -O3 -I../include
 endif
 LDPFALGS = -pthread
