=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spdlog.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/spdlog.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/spdlog
+Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
 Homepage: https://github.com/gabime/spdlog
 
 Package: libspdlog-dev
