=== debian/changelog ===
spdlog (1:1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Drop debian/gdb.conf (specifying only defaults)
  * Fix build on several architectures (Thanks for the patch to
    Adrian Bunk <bunk@debian.org>)
    Closes: #909938

 -- Andreas Tille <tille@debian.org>  Mon, 01 Oct 2018 08:31:40 +0200

spdlog (1:1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #909197
  * Standards-Version: 4.2.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Wed, 19 Sep 2018 21:38:22 +0200
