=== debian/changelog ===
spdlog (1:1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 17 Oct 2018 03:10:17 -0700
