=== debian/changelog ===
spdlog (1:1.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 28 Nov 2018 23:54:29 -0800
