=== bench/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,12 @@
 target_link_libraries(async_bench spdlog::spdlog Threads::Threads)
 
 add_executable(latency latency.cpp)
+set(CMAKE_CXX_STANDARD_LIBRARIES -lbenchmark)
 target_link_libraries(latency spdlog::spdlog Threads::Threads)
 
+
+add_executable(formatter-bench formatter-bench.cpp)
+set(CMAKE_CXX_STANDARD_LIBRARIES -lbenchmark)
+target_link_libraries(formatter-bench spdlog::spdlog Threads::Threads)
+
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")
