=== debian/changelog ===
spdlog (1:1.3.0-2) unstable; urgency=medium

  * No point in building benchmarks, causes issues on some unofficial
    archs.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 12 Jan 2019 09:59:25 -0800

spdlog (1:1.3.0-1) unstable; urgency=medium

  * debian/control: Mark us as Multi-Arch: same.
  * New upstream version
  * Build the benchmark.
  * Standards-Version: 4.3.0, no changes needed

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 12 Jan 2019 06:52:15 -0800
