## spdlog 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 
 cmake_minimum_required(VERSION 3.1)
-project(spdlog VERSION 1.3.0 LANGUAGES CXX)
+project(spdlog VERSION 1.3.1 LANGUAGES CXX)
 include(CMakeDependentOption)
 include(GNUInstallDirs)
