=== bench/CMakeLists.txt ===
--- 
+++ 
@@ -30,20 +30,19 @@
 endif()
 
 find_package(Threads REQUIRED)
+find_package(benchmark CONFIG REQUIRED)
 
 add_executable(bench bench.cpp)
-target_link_libraries(bench spdlog::spdlog Threads::Threads)
+target_link_libraries(bench PRIVATE spdlog::spdlog Threads::Threads)
 
 add_executable(async_bench async_bench.cpp)
-target_link_libraries(async_bench spdlog::spdlog Threads::Threads)
+target_link_libraries(async_bench PRIVATE spdlog::spdlog Threads::Threads)
 
 add_executable(latency latency.cpp)
-set(CMAKE_CXX_STANDARD_LIBRARIES -lbenchmark)
-target_link_libraries(latency spdlog::spdlog Threads::Threads)
+target_link_libraries(latency PRIVATE benchmark::benchmark spdlog::spdlog Threads::Threads)
 
 
 add_executable(formatter-bench formatter-bench.cpp)
-set(CMAKE_CXX_STANDARD_LIBRARIES -lbenchmark)
-target_link_libraries(formatter-bench spdlog::spdlog Threads::Threads)
+target_link_libraries(formatter-bench PRIVATE benchmark::benchmark spdlog::spdlog Threads::Threads)
 
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")
