=== tests/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CXX	?= g++
-CXXFLAGS	=  -Wall  -pedantic -std=c++11 -pthread -O3 -I../include -fmax-errors=1
+CXXFLAGS	=  -Wall  -pedantic -std=c++11 -pthread -Wconversion -O3 -I../include -fmax-errors=1
 LDPFALGS = -pthread
 
 CPP_FILES := $(wildcard *.cpp)
