=== debian/changelog ===
spdlog (1:1.3.1-1+rpi1) buster-staging; urgency=medium

  [changes brought forward from 1:1.1.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 10 Oct 2018 00:49:48 +0000]
  * use libatomic on armhf too for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 25 Jan 2019 23:41:22 +0000

spdlog (1:1.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 21 Jan 2019 08:15:35 -0800
