=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                cmake
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/spdlog
 Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
 Homepage: https://github.com/gabime/spdlog
 
 Package: libspdlog-dev
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}
 Description: Very fast, header only, C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
