=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: spdlog
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               cmake
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/med-team/spdlog
-Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
-Homepage: https://github.com/gabime/spdlog
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/spdlog.git
+Vcs-Git: git://anonscm.debian.org/debian-med/spdlog.git
+Homepage: https://github.com/COMBINE-lab/spdlog
 
 Package: libspdlog-dev
 Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Very fast, header only, C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
  dependencies - just copy and use; call style using the excellent cppformat
